package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 盘点数据记录对象 record_store_check_info
 * 
 * @author wangh
 * @date 2024-01-22
 */
public class RecordStoreCheckInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 外键 */
    @Excel(name = "外键")
    private Long checkId;

    /** RFID */
    @Excel(name = "RFID")
    private String epcCode;

    /** 库位码 */
    @Excel(name = "库位码")
    private String locationCode;

    /** 是否扫描 */
    @Excel(name = "是否扫描")
    private String checkState;

    public void setCheckId(Long checkId) 
    {
        this.checkId = checkId;
    }

    public Long getCheckId() 
    {
        return checkId;
    }
    public void setEpcCode(String epcCode) 
    {
        this.epcCode = epcCode;
    }

    public String getEpcCode() 
    {
        return epcCode;
    }
    public void setLocationCode(String locationCode) 
    {
        this.locationCode = locationCode;
    }

    public String getLocationCode() 
    {
        return locationCode;
    }
    public void setCheckState(String checkState) 
    {
        this.checkState = checkState;
    }

    public String getCheckState() 
    {
        return checkState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkId", getCheckId())
            .append("epcCode", getEpcCode())
            .append("locationCode", getLocationCode())
            .append("checkState", getCheckState())
            .toString();
    }
}
